﻿using System.ComponentModel;
using System.ComponentModel.DataAnnotations;

namespace QuickURLShortner.Common.Models
{
    public class UrlModel
    {
        [Required (ErrorMessage="This is a required field.")]
        [DisplayName("Original URL")]
        public string OrignalUrl { get; set; }

        public string NewUrlPart1 { get; set; }
        public string NewUrlPart2 { get; set; }
    }
}